import { stringify } from 'qs';
import request from '../utils/request';
import { api } from '../utils/config';

export async function queryUserTags(params) {
  const id = params.configUserId;
  return request(`${api.configUser}/${id}`);
}

export async function createConfigUserTagItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.configUserTag}`, options);
}


export async function queryTagDetail(id) {
  return request(`${api.configUserTag}/${id}`);
}

export async function updateConfigUserTagItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.configUserTag}`, options);
}

export async function deleteConfigUserTagItem(id) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.configUserTag}/${id}`, options);
}

export async function depositMerchantItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.deposit}`, options);
}

export async function queryMerchantRecommend({ merchantId }) {
  return request(`${api.recommend}/${merchantId}`);
}

export async function updateMerchantRecommend({ merchantId, idList }) {
  const options = {
    method: 'PUT',
    body: idList,
  };
  return request(`${api.recommend}/${merchantId}`, options);
}

export async function queryMerchantPoster({ merchantId }) {
  return request(`${api.poster}/${merchantId}`);
}

export async function queryMerchantPosterItem({ posterId }) {
  return request(`${api.posterItem}/${posterId}`);
}

export async function createMerchantPosterItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.posterItem}`, options);
}

export async function updateMerchantPosterItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.posterItem}`, options);
}

export async function deleteMerchantPosterItem({ posterId }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.posterItem}/${posterId}`, options);
}

export async function queryConfigCourse(params) {
  const id = params.courseId;
  return request(`${api.configCourse}/${id}`);
}

export async function copyTag(params) {
  return request(`${api.copyTag}?${stringify(params)}`);
}

export async function updateConfigCourse({ courseId, idList }) {
  const options = {
    method: 'PUT',
    body: idList,
  };
  return request(`${api.configCourse}/${courseId}`, options);
}
